summaryrefslogtreecommitdiff
path: root/scripts/mkconfigs
diff options
context:
space:
mode:
authorDenys Vlasenko2022-01-04 14:32:41 +0100
committerDenys Vlasenko2022-01-04 14:32:41 +0100
commited2af2e82dbcfccb7392e9fbc3f837de1594c103 (patch)
treeb7f56fe38963c79ecf6fc7698200daf4d93873ae /scripts/mkconfigs
parentc3cfcc92422f6e525073226cdbfdcb00ab1e7dc7 (diff)
downloadbusybox-ed2af2e82dbcfccb7392e9fbc3f837de1594c103.zip
busybox-ed2af2e82dbcfccb7392e9fbc3f837de1594c103.tar.gz
build system: detect if build host has no bzip2
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'scripts/mkconfigs')
-rwxr-xr-xscripts/mkconfigs11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/mkconfigs b/scripts/mkconfigs
index 6a26fe1..1bbf10c 100755
--- a/scripts/mkconfigs
+++ b/scripts/mkconfigs
@@ -28,6 +28,17 @@
config=.config
+od -v -b </dev/null >/dev/null
+if test $? != 0; then
+ echo 'od tool is not installed or cannot accept "-v -b" options'
+ exit 1
+fi
+bzip2 </dev/null >/dev/null
+if test $? != 0; then
+ echo 'bzip2 is not installed'
+ exit 1
+fi
+
{
echo "\
#ifndef _BBCONFIGOPTS_H